
Partial Class _Default
    Inherits AdminPage

    Public blnContent As Boolean = False
    Public blnDocument As Boolean = False
    Public blnImage As Boolean = False
    Public blnSiteAdmin As Boolean = False

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            If Me.UserData.IsNewUser Then
                Response.Redirect(String.Format("/changepassword.aspx?username={0}", Me.UserData.UserName))
            End If

            ' issue 28289
            pnlSiteAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("SiteAdminRoleName"))
            pnlPageManagement.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentAdminRoleName"))           
            pnlRedirectMangement.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentAdminRoleName"))
            pnlUserAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("UserAdminRoleName"))
            pnlContentAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentAdminRoleName")) 

            pnlDocumentAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("DocumentAdminRoleName"))
            pnlFileAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("DocumentAdminRoleName"))
            pnlImageAdmin.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ImageAdminRoleName"))
            pnlCMSUser.Visible = Me.IsInRole(ConfigurationManager.AppSettings("CMSUserRoleName"))
            pnlContentAuthor.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentAuthorRoleName"))

            pnlContentApprover.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentApproverRoleName"))
            pnlContentPublisher.Visible = Me.IsInRole(ConfigurationManager.AppSettings("ContentPublisherRoleName"))
            pnlMessageReset.Visible = Me.IsInRole("MessageReset")

        Catch ex As Exception

        End Try
    End Sub


End Class
